package com.ruoyi.rc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.rc.mapper.TChapterTemplateMapper;
import com.ruoyi.rc.domain.TChapterTemplate;
import com.ruoyi.rc.service.ITChapterTemplateService;

/**
 * 章节模板Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-31
 */
@Service
public class TChapterTemplateServiceImpl implements ITChapterTemplateService 
{
    @Autowired
    private TChapterTemplateMapper tChapterTemplateMapper;

    public String selectNameByCode(String code) {
        return tChapterTemplateMapper.selectNameByCode(code);
    }

    /**
     * 查询章节模板
     * 
     * @param id 章节模板主键
     * @return 章节模板
     */
    @Override
    public TChapterTemplate selectTChapterTemplateById(Long id)
    {
        return tChapterTemplateMapper.selectTChapterTemplateById(id);
    }

    /**
     * 查询章节模板列表
     * 
     * @param tChapterTemplate 章节模板
     * @return 章节模板
     */
    @Override
    public List<TChapterTemplate> selectTChapterTemplateList(TChapterTemplate tChapterTemplate)
    {
        return tChapterTemplateMapper.selectTChapterTemplateList(tChapterTemplate);
    }

    /**
     * 新增章节模板
     * 
     * @param tChapterTemplate 章节模板
     * @return 结果
     */
    @Override
    public int insertTChapterTemplate(TChapterTemplate tChapterTemplate)
    {
        return tChapterTemplateMapper.insertTChapterTemplate(tChapterTemplate);
    }

    /**
     * 修改章节模板
     * 
     * @param tChapterTemplate 章节模板
     * @return 结果
     */
    @Override
    public int updateTChapterTemplate(TChapterTemplate tChapterTemplate)
    {
        return tChapterTemplateMapper.updateTChapterTemplate(tChapterTemplate);
    }

    /**
     * 批量删除章节模板
     * 
     * @param ids 需要删除的章节模板主键
     * @return 结果
     */
    @Override
    public int deleteTChapterTemplateByIds(Long[] ids)
    {
        return tChapterTemplateMapper.deleteTChapterTemplateByIds(ids);
    }

    /**
     * 删除章节模板信息
     * 
     * @param id 章节模板主键
     * @return 结果
     */
    @Override
    public int deleteTChapterTemplateById(Long id)
    {
        return tChapterTemplateMapper.deleteTChapterTemplateById(id);
    }
}
